/*
 Calisto (c) 1998-1999 Peter Howkins, Matthew Howkins, Simon Howkins

 $Id: privs.h,v 1.3 2000/01/13 21:14:16 peter Exp $

 $Log: privs.h,v $
 Revision 1.3  2000/01/13 21:14:16  peter
 Changed privs from numeric to string, changed function prototypes

 Revision 1.2  2000/01/02 15:37:17  peter
 Changed PRIV_AD_GENERAL to PRIV_AD_BASE and added PRIV_SU_BASE

 Revision 1.1  1999/12/21 20:37:26  peter
 Initial revision


 */
#ifndef privs_h
#define privs_h

#include "structs.h"

extern bool privname_exists(const char *privname);

extern bool haspriv(const character *c, const char *privname);
extern void setpriv(character *c, const char *privname);
extern void clearpriv(character *c, const char *privname);

extern const char *privcol(const char *privname);

/* List all the privs (with colour) and display to character c */
extern void privs_list_all(character *c);
/* List all the privs (with colour) that character target has, and display
   to character c */
extern void privs_list_player(character *c, character *target);

#endif /* privs_h */
